#!/bin/sh

# cron job to pick up latest DAT file.
# sends email to postmaster-virus when it changes only

tempfile=/tmp/uvscan-update-out.$$
hostname=`uname -n`

/usr/local/uvscan/script/uvscan.dat.update.pl > $tempfile 2>&1

# temp always give the output
same=`fgrep "DAT files are the same" $tempfile`
same=""

if [ -z "$same" ]
then
    # mail postmaster with the result
    mail -s "$hostname uvscan DAT file update" postmaster-virus < $tempfile
fi

rm -f $tempfile
